public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/
@ 2011-08-30 18:53 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2011-08-30 18:53 UTC (permalink / raw
  To: gentoo-commits

commit:     eb586fc936822e3d0e7422cc5fd0072117edec84
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 18:54:55 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 18:54:55 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=eb586fc9

net-misc/mozilla-plugin-sdk: Another attempt at providing a tiny Mozilla plugin SDK, bug #381151.

(Portage version: 2.2.0_alpha51_p49/git/Linux x86_64, signed Manifest commit with key 42B9401D)

---
 net-misc/mozilla-plugin-sdk/Manifest               |   15 ++++++++++
 net-misc/mozilla-plugin-sdk/metadata.xml           |    9 ++++++
 .../mozilla-plugin-sdk-1.9.2.17.ebuild             |   30 ++++++++++++++++++++
 3 files changed, 54 insertions(+), 0 deletions(-)

diff --git a/net-misc/mozilla-plugin-sdk/Manifest b/net-misc/mozilla-plugin-sdk/Manifest
new file mode 100644
index 0000000..965a816
--- /dev/null
+++ b/net-misc/mozilla-plugin-sdk/Manifest
@@ -0,0 +1,15 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+DIST xulrunner-1.9.2.17.tbz2 18317439 RMD160 a5baeddbb4d3c4c9f3c53349466d497a83f4c53c SHA1 eddf0d96ea90c2ab9fe271cee31b7a7c6f939653 SHA256 4b4726fb24a62b58b3ceef38960e264f69223038f27035e7f4c05af472b9c7c4
+EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 774 RMD160 fab5bf2548e39af3b1296ecc48747c3385b3d764 SHA1 09dc7cc4cc36b8ba2b0bf6c9a0df4ffc59bf4301 SHA256 5db8b82fce70c148ac786f784e6a56ff10852d6b3b238c9438cc5d0689bb0bcc
+MISC metadata.xml 255 RMD160 b5f39d5799b7c36dbd279e5433753376c082afa8 SHA1 a4698c0973522834fc27ba7dc0757453338268af SHA256 fbdf23d280480a82b5640acbe75500ca6067b5f565223f62fbd525bda216b972
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.18 (GNU/Linux)
+
+iJwEAQEIAAYFAk5dMf8ACgkQfXuS5UK5QB0p+AP/YByeQfszNBhPAU2x34a1d9pW
+kGZaCTsLKgpykO9HkRFhx7lzrdNnMHWSxJ+42K1ktrYXIlIY8Sq20j2zwCjqii0y
+KdxuUbfu34DigZiuy/T2bxGMxyAwD7k26CI6dMIlJ+6prB2QFnPMROAedsYbG6zS
+4Hsd5akmJKNpn7cEmng=
+=XOEY
+-----END PGP SIGNATURE-----

diff --git a/net-misc/mozilla-plugin-sdk/metadata.xml b/net-misc/mozilla-plugin-sdk/metadata.xml
new file mode 100644
index 0000000..af81389
--- /dev/null
+++ b/net-misc/mozilla-plugin-sdk/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>no-herd</herd>
+	<maintainer>
+		<email>mgorny@gentoo.org</email>
+		<name>Michał Górny</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
new file mode 100644
index 0000000..6dc7a41
--- /dev/null
+++ b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit multilib
+
+DESCRIPTION="Mozilla plugin SDK stripped down to minimum"
+HOMEPAGE="https://developer.mozilla.org/En/Plugins"
+SRC_URI="http://tinderbox.dev.gentoo.org/default-linux/x86/net-libs/xulrunner-1.9.2.17.tbz2"
+
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!net-libs/xulrunner"
+
+S=${WORKDIR}/usr
+
+src_install() {
+	# note: that's just a minimal install, which will satisfy some plugins
+	# and some others will fail terribly (e.g. due to missing libs)
+
+	insinto /usr/include
+	doins -r include/xulrunner*
+	insinto /usr/$(get_libdir)/pkgconfig
+	doins lib/pkgconfig/{libxul,mozilla-plugin}.pc
+}



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/
@ 2011-08-30 18:55 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2011-08-30 18:55 UTC (permalink / raw
  To: gentoo-commits

commit:     89f490d3a02e9771ffd9744115e885ba6dfb4a22
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 18:57:19 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 18:57:19 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=89f490d3

net-misc/mozilla-plugin-sdk: Fix the crime of hardcoding version number.

(Portage version: 2.2.0_alpha51_p49/git/Linux x86_64, signed Manifest commit with key 42B9401D)

---
 net-misc/mozilla-plugin-sdk/Manifest               |   12 ++++++------
 .../mozilla-plugin-sdk-1.9.2.17.ebuild             |    2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/net-misc/mozilla-plugin-sdk/Manifest b/net-misc/mozilla-plugin-sdk/Manifest
index 965a816..d7c5f77 100644
--- a/net-misc/mozilla-plugin-sdk/Manifest
+++ b/net-misc/mozilla-plugin-sdk/Manifest
@@ -2,14 +2,14 @@
 Hash: SHA256
 
 DIST xulrunner-1.9.2.17.tbz2 18317439 RMD160 a5baeddbb4d3c4c9f3c53349466d497a83f4c53c SHA1 eddf0d96ea90c2ab9fe271cee31b7a7c6f939653 SHA256 4b4726fb24a62b58b3ceef38960e264f69223038f27035e7f4c05af472b9c7c4
-EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 774 RMD160 fab5bf2548e39af3b1296ecc48747c3385b3d764 SHA1 09dc7cc4cc36b8ba2b0bf6c9a0df4ffc59bf4301 SHA256 5db8b82fce70c148ac786f784e6a56ff10852d6b3b238c9438cc5d0689bb0bcc
+EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 771 RMD160 6d9f9f1be396f24b62b064a69424481d3024a19c SHA1 84fc01bcbc53ac80490f7b54b5076a373ef4ceca SHA256 7f541156408dad6d3d82a219877701433e1db288f7257486c12c83a19fad3fac
 MISC metadata.xml 255 RMD160 b5f39d5799b7c36dbd279e5433753376c082afa8 SHA1 a4698c0973522834fc27ba7dc0757453338268af SHA256 fbdf23d280480a82b5640acbe75500ca6067b5f565223f62fbd525bda216b972
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.18 (GNU/Linux)
 
-iJwEAQEIAAYFAk5dMf8ACgkQfXuS5UK5QB0p+AP/YByeQfszNBhPAU2x34a1d9pW
-kGZaCTsLKgpykO9HkRFhx7lzrdNnMHWSxJ+42K1ktrYXIlIY8Sq20j2zwCjqii0y
-KdxuUbfu34DigZiuy/T2bxGMxyAwD7k26CI6dMIlJ+6prB2QFnPMROAedsYbG6zS
-4Hsd5akmJKNpn7cEmng=
-=XOEY
+iJwEAQEIAAYFAk5dMo8ACgkQfXuS5UK5QB0sSwP/a7lgZfOFsNwuIWsiPAR0CFVk
+I9TPBGFDZlUILR5fZ4YlDLMX1OPPHZ0UOBU4k8X/YvAekDMQQn9m8veJkXEGL7mx
+Rq3yRwjRi0ktnmYNbaGAihJfT0ENSU75vWWnYB4wkX7i2r3Z3VXlHS4jSX+Qkkr/
+l1OPK2N3JGf1bewvgUc=
+=AQYH
 -----END PGP SIGNATURE-----

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
index 6dc7a41..98aae06 100644
--- a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
+++ b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
@@ -8,7 +8,7 @@ inherit multilib
 
 DESCRIPTION="Mozilla plugin SDK stripped down to minimum"
 HOMEPAGE="https://developer.mozilla.org/En/Plugins"
-SRC_URI="http://tinderbox.dev.gentoo.org/default-linux/x86/net-libs/xulrunner-1.9.2.17.tbz2"
+SRC_URI="http://tinderbox.dev.gentoo.org/default-linux/x86/net-libs/xulrunner-${PV}.tbz2"
 
 LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
 SLOT="0"



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/
@ 2011-08-30 19:38 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2011-08-30 19:38 UTC (permalink / raw
  To: gentoo-commits

commit:     4e4853ca137341e60b664cf504f4551cfab5602e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 19:40:21 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 19:40:21 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=4e4853ca

net-misc/mozilla-plugin-sdk: Drop Requires from libxul.pc, not needed too.

(Portage version: 2.2.0_alpha51_p49/git/Linux x86_64, signed Manifest commit with key 42B9401D)

---
 net-misc/mozilla-plugin-sdk/Manifest               |   12 ++++++------
 .../mozilla-plugin-sdk-1.9.2.17.ebuild             |    2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/net-misc/mozilla-plugin-sdk/Manifest b/net-misc/mozilla-plugin-sdk/Manifest
index b4efc2b..a70a056 100644
--- a/net-misc/mozilla-plugin-sdk/Manifest
+++ b/net-misc/mozilla-plugin-sdk/Manifest
@@ -2,14 +2,14 @@
 Hash: SHA256
 
 DIST xulrunner-1.9.2.17.tbz2 18317439 RMD160 a5baeddbb4d3c4c9f3c53349466d497a83f4c53c SHA1 eddf0d96ea90c2ab9fe271cee31b7a7c6f939653 SHA256 4b4726fb24a62b58b3ceef38960e264f69223038f27035e7f4c05af472b9c7c4
-EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 842 RMD160 c5de5f3e02ac91269c63b4c5af49508e4caa0da4 SHA1 808ef9683979c037c4777d90b773d8c48901e45d SHA256 ae825740c9a056cbd88f4cb6c70e9dd29354624ef30091ae877fdc03cdc6b375
+EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 859 RMD160 b2ba644da68e6f65b10eee720b3eda8129d2e703 SHA1 d90f96d4f0b2c2b1c8c04c327a46f298102aed87 SHA256 e174d43bb38723710828b0f2cb969f68a993273e6721988b0b30c8c9d5925a4a
 MISC metadata.xml 255 RMD160 b5f39d5799b7c36dbd279e5433753376c082afa8 SHA1 a4698c0973522834fc27ba7dc0757453338268af SHA256 fbdf23d280480a82b5640acbe75500ca6067b5f565223f62fbd525bda216b972
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.18 (GNU/Linux)
 
-iJwEAQEIAAYFAk5dOG8ACgkQfXuS5UK5QB32hQP/c/FiGTNZbdMFWysOEx4Jjk3J
-+hCIfkTTZK9846NVlXFPeKRUf9R7uPFUBzg5f+nLK9cv8cbKwhxOvPLxkelchIFR
-krmabtLBivZFHdtrqn1ZRvpzbPvsWUnpqbsRB9cC4/theKtucp9NkzyvYEuRmDjj
-hHxwmPUn29LAZGZn72Q=
-=UlaV
+iJwEAQEIAAYFAk5dPKUACgkQfXuS5UK5QB3sLAP7BP7TuDs3Q3WhouumahuGAsPk
+mDo/FvbfMleoerWQ7vOLGLVGrybnZ71JnzpR/gLP8/D/LKdR7nsHZst1qkDRjx+F
+dN3Z5prVbz2WGoBiGTJ/83cCibFrY06zrh/r8dNYO9uS+nhnHnfUfHT/oJV7Fdms
+rIfQmpJ1aY0CSK0qiWM=
+=4yAj
 -----END PGP SIGNATURE-----

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
index 3418567..b5e4f33 100644
--- a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
+++ b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
@@ -20,7 +20,7 @@ RDEPEND="!net-libs/xulrunner"
 S=${WORKDIR}/usr
 
 src_prepare() {
-	sed -i -e '/Libs/d' lib/pkgconfig/libxul.pc || die
+	sed -i -e '/Libs/d' -e '/Requires/d' lib/pkgconfig/libxul.pc || die
 }
 
 src_install() {



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/
@ 2011-08-30 19:38 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2011-08-30 19:38 UTC (permalink / raw
  To: gentoo-commits

commit:     b41d289277f6f7fe20e66d97d2b7fa5d8bc0a40a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 19:22:23 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 19:22:23 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=b41d2892

net-misc/mozilla-plugin-sdk: Drop Libs from libxul.pc. This makes vlc work.

(Portage version: 2.2.0_alpha51_p49/git/Linux x86_64, signed Manifest commit with key 42B9401D)

---
 net-misc/mozilla-plugin-sdk/Manifest               |   12 ++++++------
 .../mozilla-plugin-sdk-1.9.2.17.ebuild             |    4 ++++
 2 files changed, 10 insertions(+), 6 deletions(-)

diff --git a/net-misc/mozilla-plugin-sdk/Manifest b/net-misc/mozilla-plugin-sdk/Manifest
index d7c5f77..b4efc2b 100644
--- a/net-misc/mozilla-plugin-sdk/Manifest
+++ b/net-misc/mozilla-plugin-sdk/Manifest
@@ -2,14 +2,14 @@
 Hash: SHA256
 
 DIST xulrunner-1.9.2.17.tbz2 18317439 RMD160 a5baeddbb4d3c4c9f3c53349466d497a83f4c53c SHA1 eddf0d96ea90c2ab9fe271cee31b7a7c6f939653 SHA256 4b4726fb24a62b58b3ceef38960e264f69223038f27035e7f4c05af472b9c7c4
-EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 771 RMD160 6d9f9f1be396f24b62b064a69424481d3024a19c SHA1 84fc01bcbc53ac80490f7b54b5076a373ef4ceca SHA256 7f541156408dad6d3d82a219877701433e1db288f7257486c12c83a19fad3fac
+EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 842 RMD160 c5de5f3e02ac91269c63b4c5af49508e4caa0da4 SHA1 808ef9683979c037c4777d90b773d8c48901e45d SHA256 ae825740c9a056cbd88f4cb6c70e9dd29354624ef30091ae877fdc03cdc6b375
 MISC metadata.xml 255 RMD160 b5f39d5799b7c36dbd279e5433753376c082afa8 SHA1 a4698c0973522834fc27ba7dc0757453338268af SHA256 fbdf23d280480a82b5640acbe75500ca6067b5f565223f62fbd525bda216b972
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.18 (GNU/Linux)
 
-iJwEAQEIAAYFAk5dMo8ACgkQfXuS5UK5QB0sSwP/a7lgZfOFsNwuIWsiPAR0CFVk
-I9TPBGFDZlUILR5fZ4YlDLMX1OPPHZ0UOBU4k8X/YvAekDMQQn9m8veJkXEGL7mx
-Rq3yRwjRi0ktnmYNbaGAihJfT0ENSU75vWWnYB4wkX7i2r3Z3VXlHS4jSX+Qkkr/
-l1OPK2N3JGf1bewvgUc=
-=AQYH
+iJwEAQEIAAYFAk5dOG8ACgkQfXuS5UK5QB32hQP/c/FiGTNZbdMFWysOEx4Jjk3J
++hCIfkTTZK9846NVlXFPeKRUf9R7uPFUBzg5f+nLK9cv8cbKwhxOvPLxkelchIFR
+krmabtLBivZFHdtrqn1ZRvpzbPvsWUnpqbsRB9cC4/theKtucp9NkzyvYEuRmDjj
+hHxwmPUn29LAZGZn72Q=
+=UlaV
 -----END PGP SIGNATURE-----

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
index 98aae06..3418567 100644
--- a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
+++ b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
@@ -19,6 +19,10 @@ RDEPEND="!net-libs/xulrunner"
 
 S=${WORKDIR}/usr
 
+src_prepare() {
+	sed -i -e '/Libs/d' lib/pkgconfig/libxul.pc || die
+}
+
 src_install() {
 	# note: that's just a minimal install, which will satisfy some plugins
 	# and some others will fail terribly (e.g. due to missing libs)



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/
@ 2011-08-30 20:01 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2011-08-30 20:01 UTC (permalink / raw
  To: gentoo-commits

commit:     9f0af750b7f638983a8445a114b9eee7336a8d1d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 20:02:36 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 20:02:36 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=9f0af750

net-misc/mozilla-plugin-sdk: Bump to 2.0, use sep distfile.

(Portage version: 2.2.0_alpha51_p49/git/Linux x86_64, signed Manifest commit with key 42B9401D)

---
 net-misc/mozilla-plugin-sdk/Manifest               |   14 +++++++-------
 ...9.2.17.ebuild => mozilla-plugin-sdk-2.0.ebuild} |   11 +++--------
 2 files changed, 10 insertions(+), 15 deletions(-)

diff --git a/net-misc/mozilla-plugin-sdk/Manifest b/net-misc/mozilla-plugin-sdk/Manifest
index a70a056..8d54d3f 100644
--- a/net-misc/mozilla-plugin-sdk/Manifest
+++ b/net-misc/mozilla-plugin-sdk/Manifest
@@ -1,15 +1,15 @@
 -----BEGIN PGP SIGNED MESSAGE-----
 Hash: SHA256
 
-DIST xulrunner-1.9.2.17.tbz2 18317439 RMD160 a5baeddbb4d3c4c9f3c53349466d497a83f4c53c SHA1 eddf0d96ea90c2ab9fe271cee31b7a7c6f939653 SHA256 4b4726fb24a62b58b3ceef38960e264f69223038f27035e7f4c05af472b9c7c4
-EBUILD mozilla-plugin-sdk-1.9.2.17.ebuild 859 RMD160 b2ba644da68e6f65b10eee720b3eda8129d2e703 SHA1 d90f96d4f0b2c2b1c8c04c327a46f298102aed87 SHA256 e174d43bb38723710828b0f2cb969f68a993273e6721988b0b30c8c9d5925a4a
+DIST mozilla-plugin-sdk-2.0.tar.xz 2426972 RMD160 9ac0c9c136e822750422b4513467c9e1c5df8e07 SHA1 9528358f06af00b338a64357fc257414f6905ec8 SHA256 9e4f03205105ce7669e51a85e665b3051c49259005d63e698598b870dd38e594
+EBUILD mozilla-plugin-sdk-2.0.ebuild 733 RMD160 f24c771961ba7a39bfe5c532b2734000bb775aef SHA1 b6ff5d7fa2b51b7b8fd985d8e51480cd373a789b SHA256 be73be0a497ea394952821d3b83213c6fea45b28bed65291b7c6890718b14241
 MISC metadata.xml 255 RMD160 b5f39d5799b7c36dbd279e5433753376c082afa8 SHA1 a4698c0973522834fc27ba7dc0757453338268af SHA256 fbdf23d280480a82b5640acbe75500ca6067b5f565223f62fbd525bda216b972
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.18 (GNU/Linux)
 
-iJwEAQEIAAYFAk5dPKUACgkQfXuS5UK5QB3sLAP7BP7TuDs3Q3WhouumahuGAsPk
-mDo/FvbfMleoerWQ7vOLGLVGrybnZ71JnzpR/gLP8/D/LKdR7nsHZst1qkDRjx+F
-dN3Z5prVbz2WGoBiGTJ/83cCibFrY06zrh/r8dNYO9uS+nhnHnfUfHT/oJV7Fdms
-rIfQmpJ1aY0CSK0qiWM=
-=4yAj
+iJwEAQEIAAYFAk5dQdwACgkQfXuS5UK5QB0CeAP/XIj7hTcET5PRYbS8Ctz7QkKj
+RPOJk7QkYC0NaViOSqNdW8yzsZkJbgoKfQEzPJvsTLP0NQOrtGIYdiaZ/7iQLJAn
+j0bLBBJGGjjctkH7HHe9wDBnQ/QoplsfdJ1qAV9hl6SwiJIQgt8teNXcg+ETxUAX
+9GZWX+lXnHrmTTMbHB8=
+=Gyf8
 -----END PGP SIGNATURE-----

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0.ebuild
similarity index 71%
rename from net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
rename to net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0.ebuild
index b5e4f33..2025290 100644
--- a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-1.9.2.17.ebuild
+++ b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0.ebuild
@@ -8,21 +8,16 @@ inherit multilib
 
 DESCRIPTION="Mozilla plugin SDK stripped down to minimum"
 HOMEPAGE="https://developer.mozilla.org/En/Plugins"
-SRC_URI="http://tinderbox.dev.gentoo.org/default-linux/x86/net-libs/xulrunner-${PV}.tbz2"
+SRC_URI="http://dev.gentoo.org/~mgorny/dist/${P}.tar.xz"
 
 LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE=""
 
+DEPEND="app-arch/xz-utils"
 RDEPEND="!net-libs/xulrunner"
 
-S=${WORKDIR}/usr
-
-src_prepare() {
-	sed -i -e '/Libs/d' -e '/Requires/d' lib/pkgconfig/libxul.pc || die
-}
-
 src_install() {
 	# note: that's just a minimal install, which will satisfy some plugins
 	# and some others will fail terribly (e.g. due to missing libs)
@@ -30,5 +25,5 @@ src_install() {
 	insinto /usr/include
 	doins -r include/xulrunner*
 	insinto /usr/$(get_libdir)/pkgconfig
-	doins lib/pkgconfig/{libxul,mozilla-plugin}.pc
+	doins {libxul,mozilla-plugin}.pc
 }



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/
@ 2011-09-01 22:42 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2011-09-01 22:42 UTC (permalink / raw
  To: gentoo-commits

commit:     255476d8174593b158852824cf3fc4fc39e2edf1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  1 22:44:03 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Sep  1 22:44:03 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=255476d8

net-misc/mozilla-plugin-sdk: Add a stripped-down package variant.

(Portage version: 2.2.0_alpha51_p63/git/Linux x86_64, signed Manifest commit with key 42B9401D)

---
 net-misc/mozilla-plugin-sdk/Manifest               |   12 ++++---
 .../mozilla-plugin-sdk-2.0_p1.ebuild               |   35 ++++++++++++++++++++
 2 files changed, 42 insertions(+), 5 deletions(-)

diff --git a/net-misc/mozilla-plugin-sdk/Manifest b/net-misc/mozilla-plugin-sdk/Manifest
index 8d54d3f..d1bf957 100644
--- a/net-misc/mozilla-plugin-sdk/Manifest
+++ b/net-misc/mozilla-plugin-sdk/Manifest
@@ -2,14 +2,16 @@
 Hash: SHA256
 
 DIST mozilla-plugin-sdk-2.0.tar.xz 2426972 RMD160 9ac0c9c136e822750422b4513467c9e1c5df8e07 SHA1 9528358f06af00b338a64357fc257414f6905ec8 SHA256 9e4f03205105ce7669e51a85e665b3051c49259005d63e698598b870dd38e594
+DIST mozilla-plugin-sdk-2.0_p1.tar.xz 171032 RMD160 44fd61219389058be47e904fcc09200e82b93004 SHA1 172be4d62f132ebba28b126da7ab7ad8f1c4040e SHA256 aa679d5adc47ef28e216a3c593ce01b949fd67820261a4c6d3a86e998d87f3a7
 EBUILD mozilla-plugin-sdk-2.0.ebuild 733 RMD160 f24c771961ba7a39bfe5c532b2734000bb775aef SHA1 b6ff5d7fa2b51b7b8fd985d8e51480cd373a789b SHA256 be73be0a497ea394952821d3b83213c6fea45b28bed65291b7c6890718b14241
+EBUILD mozilla-plugin-sdk-2.0_p1.ebuild 925 RMD160 0d3aa9d2418d55c828d4818af7ed8358f0f72a9e SHA1 30ae97bce82439e51c52cd9e4449d9094bef369d SHA256 f470fe3c61c9f6a5c9d4aa6a21b18803bde963712a2958b76bb48ad6070d811c
 MISC metadata.xml 255 RMD160 b5f39d5799b7c36dbd279e5433753376c082afa8 SHA1 a4698c0973522834fc27ba7dc0757453338268af SHA256 fbdf23d280480a82b5640acbe75500ca6067b5f565223f62fbd525bda216b972
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.18 (GNU/Linux)
 
-iJwEAQEIAAYFAk5dQdwACgkQfXuS5UK5QB0CeAP/XIj7hTcET5PRYbS8Ctz7QkKj
-RPOJk7QkYC0NaViOSqNdW8yzsZkJbgoKfQEzPJvsTLP0NQOrtGIYdiaZ/7iQLJAn
-j0bLBBJGGjjctkH7HHe9wDBnQ/QoplsfdJ1qAV9hl6SwiJIQgt8teNXcg+ETxUAX
-9GZWX+lXnHrmTTMbHB8=
-=Gyf8
+iJwEAQEIAAYFAk5gCrMACgkQfXuS5UK5QB2C4wP/fMdg0MWeFPmTQeniKTS/jDVk
+taHYEx+AULsZGrJO/PJC5R8UBUHCHtP5Cj5zwCx/dw7Ib60DdsqdRVHWb9a/tVbW
+UHGn0Bm0Khp2/gEN2TYNZWSWRHIaPGDPe5lpucpN9iiaZYOfnzPW6SPmSwmj9HCs
+qEH471wjqoXgS00/GQw=
+=c8Fp
 -----END PGP SIGNATURE-----

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0_p1.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0_p1.ebuild
new file mode 100644
index 0000000..6248b93
--- /dev/null
+++ b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0_p1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit multilib
+
+DESCRIPTION="Mozilla plugin SDK stripped down to minimum"
+HOMEPAGE="https://developer.mozilla.org/En/Plugins"
+SRC_URI="http://dev.gentoo.org/~mgorny/dist/${P}.tar.xz"
+
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="app-arch/xz-utils"
+RDEPEND="!net-libs/xulrunner"
+
+src_install() {
+	# note: that's just a minimal install, which will satisfy some plugins
+	# and some others will fail terribly (e.g. due to missing libs)
+
+	insinto /usr/include
+	doins -r include/xulrunner*
+	insinto /usr/$(get_libdir)/pkgconfig
+	doins {libxul,mozilla-plugin}.pc
+}
+
+pkg_postinst() {
+	elog "Note: this is a stripped down version of Mozilla plugin SDK."
+	elog "If it fails to build your plugin, please try"
+	elog "~net-misc/mozilla-plugin-sdk-2.0 instead."
+}



^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/
@ 2011-09-05  7:43 Michał Górny
  0 siblings, 0 replies; 7+ messages in thread
From: Michał Górny @ 2011-09-05  7:43 UTC (permalink / raw
  To: gentoo-commits

commit:     e5079bb90de1e5f2055d77c60441728b7fc04817
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  4 22:01:10 2011 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep  4 22:01:10 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=e5079bb9

Drop mozilla-plugin-sdk experiment.

NPAPI-SDK is the way to go.

---
 net-misc/mozilla-plugin-sdk/Manifest               |   17 ---------
 net-misc/mozilla-plugin-sdk/metadata.xml           |    9 -----
 .../mozilla-plugin-sdk-2.0.ebuild                  |   29 ----------------
 .../mozilla-plugin-sdk-2.0_p1.ebuild               |   35 --------------------
 4 files changed, 0 insertions(+), 90 deletions(-)

diff --git a/net-misc/mozilla-plugin-sdk/Manifest b/net-misc/mozilla-plugin-sdk/Manifest
deleted file mode 100644
index d1bf957..0000000
--- a/net-misc/mozilla-plugin-sdk/Manifest
+++ /dev/null
@@ -1,17 +0,0 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
-
-DIST mozilla-plugin-sdk-2.0.tar.xz 2426972 RMD160 9ac0c9c136e822750422b4513467c9e1c5df8e07 SHA1 9528358f06af00b338a64357fc257414f6905ec8 SHA256 9e4f03205105ce7669e51a85e665b3051c49259005d63e698598b870dd38e594
-DIST mozilla-plugin-sdk-2.0_p1.tar.xz 171032 RMD160 44fd61219389058be47e904fcc09200e82b93004 SHA1 172be4d62f132ebba28b126da7ab7ad8f1c4040e SHA256 aa679d5adc47ef28e216a3c593ce01b949fd67820261a4c6d3a86e998d87f3a7
-EBUILD mozilla-plugin-sdk-2.0.ebuild 733 RMD160 f24c771961ba7a39bfe5c532b2734000bb775aef SHA1 b6ff5d7fa2b51b7b8fd985d8e51480cd373a789b SHA256 be73be0a497ea394952821d3b83213c6fea45b28bed65291b7c6890718b14241
-EBUILD mozilla-plugin-sdk-2.0_p1.ebuild 925 RMD160 0d3aa9d2418d55c828d4818af7ed8358f0f72a9e SHA1 30ae97bce82439e51c52cd9e4449d9094bef369d SHA256 f470fe3c61c9f6a5c9d4aa6a21b18803bde963712a2958b76bb48ad6070d811c
-MISC metadata.xml 255 RMD160 b5f39d5799b7c36dbd279e5433753376c082afa8 SHA1 a4698c0973522834fc27ba7dc0757453338268af SHA256 fbdf23d280480a82b5640acbe75500ca6067b5f565223f62fbd525bda216b972
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.18 (GNU/Linux)
-
-iJwEAQEIAAYFAk5gCrMACgkQfXuS5UK5QB2C4wP/fMdg0MWeFPmTQeniKTS/jDVk
-taHYEx+AULsZGrJO/PJC5R8UBUHCHtP5Cj5zwCx/dw7Ib60DdsqdRVHWb9a/tVbW
-UHGn0Bm0Khp2/gEN2TYNZWSWRHIaPGDPe5lpucpN9iiaZYOfnzPW6SPmSwmj9HCs
-qEH471wjqoXgS00/GQw=
-=c8Fp
------END PGP SIGNATURE-----

diff --git a/net-misc/mozilla-plugin-sdk/metadata.xml b/net-misc/mozilla-plugin-sdk/metadata.xml
deleted file mode 100644
index af81389..0000000
--- a/net-misc/mozilla-plugin-sdk/metadata.xml
+++ /dev/null
@@ -1,9 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<herd>no-herd</herd>
-	<maintainer>
-		<email>mgorny@gentoo.org</email>
-		<name>Michał Górny</name>
-	</maintainer>
-</pkgmetadata>

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0.ebuild
deleted file mode 100644
index 2025290..0000000
--- a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=4
-
-inherit multilib
-
-DESCRIPTION="Mozilla plugin SDK stripped down to minimum"
-HOMEPAGE="https://developer.mozilla.org/En/Plugins"
-SRC_URI="http://dev.gentoo.org/~mgorny/dist/${P}.tar.xz"
-
-LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="app-arch/xz-utils"
-RDEPEND="!net-libs/xulrunner"
-
-src_install() {
-	# note: that's just a minimal install, which will satisfy some plugins
-	# and some others will fail terribly (e.g. due to missing libs)
-
-	insinto /usr/include
-	doins -r include/xulrunner*
-	insinto /usr/$(get_libdir)/pkgconfig
-	doins {libxul,mozilla-plugin}.pc
-}

diff --git a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0_p1.ebuild b/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0_p1.ebuild
deleted file mode 100644
index 6248b93..0000000
--- a/net-misc/mozilla-plugin-sdk/mozilla-plugin-sdk-2.0_p1.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=4
-
-inherit multilib
-
-DESCRIPTION="Mozilla plugin SDK stripped down to minimum"
-HOMEPAGE="https://developer.mozilla.org/En/Plugins"
-SRC_URI="http://dev.gentoo.org/~mgorny/dist/${P}.tar.xz"
-
-LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="app-arch/xz-utils"
-RDEPEND="!net-libs/xulrunner"
-
-src_install() {
-	# note: that's just a minimal install, which will satisfy some plugins
-	# and some others will fail terribly (e.g. due to missing libs)
-
-	insinto /usr/include
-	doins -r include/xulrunner*
-	insinto /usr/$(get_libdir)/pkgconfig
-	doins {libxul,mozilla-plugin}.pc
-}
-
-pkg_postinst() {
-	elog "Note: this is a stripped down version of Mozilla plugin SDK."
-	elog "If it fails to build your plugin, please try"
-	elog "~net-misc/mozilla-plugin-sdk-2.0 instead."
-}



^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2011-09-05  7:43 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-08-30 20:01 [gentoo-commits] dev/mgorny:master commit in: net-misc/mozilla-plugin-sdk/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2011-09-05  7:43 Michał Górny
2011-09-01 22:42 Michał Górny
2011-08-30 19:38 Michał Górny
2011-08-30 19:38 Michał Górny
2011-08-30 18:55 Michał Górny
2011-08-30 18:53 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox